Quantcast
Channel: All Revit API Forum posts
Viewing all 66805 articles
Browse latest View live

Generating Image of Revit Patterns

$
0
0

I have been working on a tool to output an image of the hatch patterns associated with materials in my file. I have been mostly working off of the code from this project by  . It is starting to work, and I am getting an output for some of the patterns, but not all of them. Some are returning the error "Matrix does not intersect view" which is around line 277 of the code in the linked project. If anyone can explain the meaning of what's going on here, I'd appreciate it.

 

Thanks!

 


Revit 2020 - "Not Responding" when closing files and exiting Revit

$
0
0

My Revit 2020 application had a problem when exiting the application and/or closing a project. I went through the Forums and found a solution from 2017 by JvanReij (the link to the solution is at the bottom). He suggested cutting all of Revit's add-ins from the "Addins" folder and install them back one-by-one, whilst restarting and closing Revit after each of them is put back, and figuring out which of the add-ins was causing the issue.

 

Turns out it was the "Autodesk.SiteDesignerExtension.addin" file. I deleted the add-in altogether and Revit seems to be running normally now. However, I use that extension frequently and I downloaded the add-in from the Product and Services tab.

 

The error still persists ad the Site Designer extension was last updated on Apr 10, 2019.

 

Is there any way to get this ADDIN file without the issue?

 

Thank you.

 

JvanReij's Solution:

https://forums.autodesk.com/t5/revit-structure-forum/revit-crashes-on-closing-project/m-p/7664763#M23649

Re: NewAlignment() on extrusion top and bottom

$
0
0

Looks interesting.  I'll look into this next week as well. Will report if I find anything. 

Re: problem: Dimension for column

$
0
0

 good to see you got your answer from  .

Here's another approach for what you want, just for your reference.

 

foreach(Face f in solid.Faces)
{
     if (f.ComputeNormal(new UV(0.5,0.5)).IsAlmostEqualTo(XYZ.BasisZ.Negate())) //get bottom face
     {
         foreach(EdgeArray edgeArr in f.EdgeLoops)
         {
             foreach(Edge edge in edgeArr)
             {
                 ReferenceArray refArray = new ReferenceArray();
                 refArray.Append(edge.GetEndPointReference(0));
                 refArray.Append(edge.GetEndPointReference(1));
                 XYZ offsetVec = instanceTransform.OfVector(edge.Evaluate(0.5)).Normalize();

                 XYZ p1 = instanceTransform.OfPoint(edge.Evaluate(0)) + offsetVec;
                 XYZ p2 = instanceTransform.OfPoint(edge.Evaluate(1)) + offsetVec;
                 Line line = Line.CreateBound(p1, p2);
                 doc.Create.NewDimension(doc.ActiveView,line , refArray);
              }
          }
     }
}

Re: Revit 2020 - "Not Responding" when closing files and exiting Revit

$
0
0

Unfortunately, this is not the best place to ask such a question.

 

Please note that this discussion forum is dedicated to programming Revit using the Revit API.

 

You are not programming anything yourself, so your question is more of an end user question than an API one.

 

Therefore, you cannot expect an answer to a question such as yours relating to installation, product usage or end user support issues here.

 

You should try one of the non-API Revit product support discussion forums instead for that:

 

https://forums.autodesk.com/t5/revit-api-forum/this-forum-is-for-revit-api-programming-questions-not-for/td-p/5607765

 

The people there are much better equipped to answer your question than us programming nerds.

 

I hope this clarifies.

 

Thank you for your cooperation and understanding.

 

Best regards,

 

Jeremy

 

Re: Revit 2019 Fails to Launch on stations

$
0
0

Unfortunately, this is not the best place to ask such a question.

 

Please note that this discussion forum is dedicated to programming Revit using the Revit API.

 

Therefore, you cannot expect an answer to a question such as yours relating to installation, product usage or end user support issues here.

 

You should try one of the non-API Revit product support discussion forums instead for that:

 

https://forums.autodesk.com/t5/revit-api-forum/this-forum-is-for-revit-api-programming-questions-not-for/td-p/5607765

 

The people there are much better equipped to answer your question than us programming nerds.

 

I hope this clarifies.

 

Thank you for your cooperation and understanding.

 

Best regards,

 

Jeremy

 

Re: Localization of add-in (multilanguage)

$
0
0

Thank you very much for sharing your solution! Glad to hear it worked!

 

Re: Help with setting rebar layout rule


Revit API and Design Automation API Survey

$
0
0

Dear Revit API community,

 

The Revit product team is conducting a survey to improve the functionality of the Revit services. 

 

Please help them prioritize new features and upcoming enhancements to future releases of the Autodesk Revit API and the Forge Design Automation for Revit API by taking a brief survey

 

Survey is open till September 6th.  

 

It's been a while since we had this last time. Let's have our voice heard!  With Design Automation added to this community, exciting time with new opportunity ahead. 

HOW TO ADD TAG TO DETAIL ITEM FAMILY?

$
0
0

Hello friends
I'm looking for information
to add tag to a detail item family
but I can't add the tag
I found an example that adds the tag to a door
Can somebody help me.
regards

 

example code:

 

// Get the door tag
    FamilySymbol doorTagType = (from tag in new FilteredElementCollector(doc)
                                .OfClass(typeof(FamilySymbol)).OfCategory(BuiltInCategory.OST_DoorTags)
                                .Cast<FamilySymbol>() where tag.Name == "Door Tag" select tag).First();

 

I can't find the option: 

 

BuiltInCategory.OST_DoorTags =  BuiltInCategory.OST_DetailItemTags  (does not exist?)

LookupParameter Not Change value type Length of family

$
0
0

Hello friends
developing an application I found
with the following problem
all parameters are changed except one
The value entered is not assigned to the parameter value.

is type Length te value of family.....

 

any suggestions?

regards

 

 

 

image.png

 

 

 

image.png

Re: Using MVVM pattern with Revit

$
0
0

Hi:

I have tried to bind a List of Autodesk.Revit.DB.Level elements to a WPF ComboBox control.

Here are my codes:

Before you read these codes, please make sure that you understand the WPF Item Template , and Control Template, which are the very basis of writing MVVM view XAML codes.

Note that WPF ComboBox provides an easy access to set "which C# property to display" via DisplayMemberPath dependency property.

<ComboBox SelectedValue="{Binding SelectedReferLevel, Mode=TwoWay}"
                              ItemsSource="{Binding LevelsItemsSource}"
                              DisplayMemberPath="Name" />

The Binding Source property "LevelsItemsSource" is of type <List<Level>>, and Level.Name provides a string showing the Name of a Level.

Hope this helps 🙂

Re: Using MVVM pattern with Revit

$
0
0

:

Oops, I didn't mean to reply you. I'm sure that I was supposed to reply the Host   of this thread.

I rarely use "Model" in MVVM pattern for a Revit Element. Element provides enough propertyies for "View" displaying.

Re: LookupParameter Not Change value type Length of family

$
0
0

Hi  ,

my suggestion is

1)create a transaction

2)place the family instance

3)commit the transaction

4)create a second transaction

5)change the parameter values.

6)commit the second transaction.

 

If the above steps didn't work...then the problem may be with your parameter so inspect your parameter.

Is it possible to change parameter value via Ui?

 

I hope this helps.

Re: To bring elements from loaded-linked model into host model by API

$
0
0

It doesn't work. And also I tried some, however, none of them haven't been working.

Thanks for your recommend, anyway!!


Re: To bring elements from loaded-linked model into host model by API

$
0
0

Thanks for your recommend. But, neither of them are working. Thanks anyway.

Shortcut for Finish button from UIDocument.Selection.PickObjects()?

$
0
0

Hello,

 

As you know there are a couple of buttons(Finish & Cancel) from UIDocument.Selection.PickObjects().

 

I know ESC is for Cancel, however, the shortcut for Finish hasn't been found out yet.

 

Does anyone know if the shortcut exists? Or is there a way to set up?

Re: Known Change Requests – Community Tracking

$
0
0

Any update on this?  (referring to the option to be able to edit a forum post) It would certainly benefit this Forum.

Re: Shortcut for Finish button from UIDocument.Selection.PickObjects()?

$
0
0

HI  ,

I think in Revit there is no shortcut option for finish.

You can only finish your selection by clicking the Finish button.

 

If there is a button option for finish then it would have been mentioned here(REFER THE ATTACHED IMAGE)

PickObjects.png

I hope this helps.

Re: LookupParameter Not Change value type Length of family

$
0
0

Hi,

 

you need to use the correct unit.

The displayed value reminds me to the meter/feet conversion factor...

 

 

Revitalizer

Viewing all 66805 articles
Browse latest View live


<script src="https://jsc.adskeeper.com/r/s/rssing.com.1596347.js" async> </script>